Feeds/Media Endpoints (2022/06)
Use these endpoints to manage Live Media Feeds on the network.
Base URL for these endpoints: https://api.bsn.cloud/2022/06/REST/Feeds/Media
_________________________________________________________________________
GET /
Returns a list of Live Media Feeds on a network
Required Scope Token
bsn.api.main.feeds.media.retrieve
______________________________________________________________
Query String Parameters
- filter string optional: An expressionexpression for filtering search results. The default value is null.
- sort string optional: An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (see this pagethis page for more information). The default value is null.
- marker string optional: A value specifying which page to retrieve. This value is useful if the isTruncated entry in the response body of the previous GET call indicates that the number of Live Media Feeds exceeds the pageSize. This parameter is only required if you need more elements in the paged list than the pageSize (100).
- pageSize int optional: The maximum number of Live Media Feeds that can be contained in the response body. This defaults to the maximum allowed page size (100).
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- marker value is set to the [PagedList].[NextMarker] property value from the previous BSN.cloud API response.
- pageSize is set to 1
- filter is set to [Name] BEGINS WITH 'Oct'
- sort is set to [LastModifiedDate] DESC
GET /2022/06/REST/Feeds/Media/?marker=OAb21dyge433&pageSize=1&filter=%5BName%5D%20BEGINS%20WITH%20%27Oct%27&sort=%5BLastModifiedDate%5D%20DESC HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns a paged listpaged list of Live Media Feed EntitiesLive Media Feed Entity on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.
Example
{
"items": [
{
"id": 12345678,
"name": "Oct2023_LMF_2",
"ttl": "00:01:00",
"physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/1903005a2e7c4255f162ca068eb925b6",
"fileSize": 842,
"fileHash": "SHA1:7DED344401FA3D60E33987B0B792EDE2A4583180",
"creationDate": "2023-10-25T18:31:55.037Z",
"lastModifiedDate": "2023-10-25T18:31:55.153Z",
"content": null,
"permissions": [],
"presentations": [
{
"id": 12345,
"name": "All Set Presentation",
"type": "Presentation",
"link": null
}
]
}
],
"totalItemCount": 3,
"matchingItemCount": 3,
"pageSize": 1,
"nextMarker": "MjAyMy0xMC0yNVQxODozMTo1NS4xNTNaLDExNTAzNjQ1",
"prevMarker": "MjAyMy0xMC0yNVQxODozMTo1NS4xNTNaLDExNTAzSm01",
"isTruncated": true,
"sortExpression": "[LastModifiedDate] DESC",
"filterExpression": "[Name] BEGINS WITH 'Oct'"
}Failure
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /
Creates a Live Media Feed on a network
Required Scope Token
bsn.api.main.feeds.media.create
______________________________________________________________
Request Body
- The Live Media Feed EntityLive Media Feed Entity
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
POST /2022/06/REST/Feeds/Media/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 414This is the example request body:
{
"id": 0,
"name": "Main Screen Menu",
"ttl": "00:05:00",
"physicalPath": null,
"fileSize": 0,
"fileHash": null,
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"content": [
{
"contentId": 12345,
"fileName": "Saturday Breakfast Menu.jpg",
"title": "Breakfast Menu",
"description": "Saturday Breakfast Menu (November 2023)",
"disabled": false,
"displayDuration": "00:00:15",
"validityStartDate": "2023-11-11T08:00:00Z",
"validityEndDate": "2023-11-11T12:00:00Z",
"customFields": {
"meal": "Breakfast"
}
}
],
"permissions": [],
"presentations": null
}______________________________________________________________
Success Response Body
201: Returns the Live Media Feed EntityLive Media Feed Entity created and referenced by the Uri (given by the Location header field) in the response.
Example
{
"id": 23456789,
"name": "Main Screen Menu",
"ttl": "00:05:00",
"physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/45ab34cb6a1827ad826562eb4e039d16",
"fileSize": 350,
"fileHash": "SHA1:ADD4E980482E239HCE4D6F9728999EBF838AB0CE",
"creationDate": "2023-11-17T22:57:18.2028077Z",
"lastModifiedDate": "2023-11-17T22:57:18.2028077Z",
"content": [
{
"contentId": 12345,
"fileName": "Saturday Breakfast Menu.jpg",
"title": "Breakfast Menu",
"description": "Saturday Breakfast Menu (November 2023)",
"disabled": false,
"displayDuration": "00:00:15",
"validityStartDate": "2023-11-11T08:00:00Z",
"validityEndDate": "2023-11-11T12:00:00Z",
"customFields": {
"meal": "Breakfast"
}
}
],
"permissions": [],
"presentations": []
}Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /
Removes Live Media Feeds, specified by a filter, from a network. This allows multiple Live Media Feeds to be deleted at once.
Required Scope Token
bsn.api.main.feeds.media.delete
______________________________________________________________
Query String Parameter
- filter string required: An expressionexpression for filtering search results
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- filter is set to [Name] ENDS WITH '3'
DELETE /2022/06/REST/Feeds/Media/?filter=%5BName%5D%20ENDS%20WITH%20%273%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns the number of affected Live Media Feeds as an integer value.
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /Count/
Returns the number of Live Media Feeds on the network that match the specified filter criteria. If no filter is included, this call returns the total number of Live Media Feeds on the network.
Required Scope Token
bsn.api.main.feeds.media.retrieve
______________________________________________________________
Query String Parameter
- filter string optional: An expressionexpression for filtering search results. The default value is null.
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- filter is set to [Name] CONTAINS 'Oct'
GET /2022/06/REST/Feeds/Media/Count/?filter=%20%5BName%5D%20CONTAINS%20%27Oct%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: The number of Live Media Feeds is returned as an integer value.
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{id}/
Returns the specified Live Media Feed
Required Scope Token
bsn.api.main.feeds.media.retrieve
______________________________________________________________
Segment
- id int: A unique identifier for the Live Media Feed
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345678
- The optional If-Modified-Since header value equals the Last-Modified header value retrieved from the previous GET /id or GET /name response
GET /2022/06/REST/Feeds/Media/12345678/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response with Body
200: Returns the Live Media Feed EntityLive Media Feed Entity
Example
This is an example of a 200 level response:
{
"id": 12345678,
"name": "Oct2023_LMF_2",
"ttl": "00:01:00",
"physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/1903005a2e7c4255f162ca068eb925b6",
"fileSize": 842,
"fileHash": "SHA1:7DED344483FB4D60E33987B0B792EDE2A4583180",
"creationDate": "2023-10-25T18:31:55.037Z",
"lastModifiedDate": "2024-01-03T20:33:35.093Z",
"content": [
{
"contentId": 911345,
"fileName": "ProfilePhoto.png",
"title": "ProfilePhoto.png",
"description": "",
"disabled": false,
"displayDuration": "00:00:06",
"validityStartDate": null,
"validityEndDate": null,
"customFields": {}
}
],
"permissions": [],
"presentations": []
}Success Response
304: The resource was not modified since the time specified in the “If-Modified-Since” header
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
PUT /{id}/
Modifies the specified Live Media Feed
Required Scope Token
bsn.api.main.feeds.media.update
______________________________________________________________
Segment
- id int: A unique identifier for the Live Media Feed
______________________________________________________________
Request Body
- The Live Media Feed EntityLive Media Feed Entity
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345678
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
PUT /2022/06/REST/Feeds/Media/12345678/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Content-Type: application/json
Content-Length: 709This is the example request body:
{
"id": 12345678,
"name": "Oct2023_LMF_2",
"ttl": "00:01:00",
"physicalPath": null,
"fileSize": 0,
"fileHash": null,
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"content": [
{
"contentId": 911345,
"fileName": "ProfilePhoto.png",
"title": "ProfilePhoto.png",
"description": "",
"disabled": false,
"displayDuration": "00:00:06",
"validityStartDate": null,
"validityEndDate": null,
"customFields": {
"customField1": ""
}
}
],
"permissions": [],
"presentations": null
}______________________________________________________________
Success Response
204: The specified Live Media Feed has been updated on the network
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{id}/
Removes the specified Live Media Feed
Required Scope Token
bsn.api.main.feeds.media.delete
______________________________________________________________
Segment
- id int: The unique identifier of the Live Media Feed to delete
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 11475023
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
DELETE /2022/06/REST/Feeds/Media/11475023/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response
204: The specified Live Media Feed has been removed
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
5XX: Any 500 code is an internal server error
GET /{name}/
Returns the specified Live Media Feed
Required Scope Token
bsn.api.main.feeds.media.retrieve
______________________________________________________________
Segment
- name string: The name of the Live Media Feed
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to Oct2023_LMF_2
- The optional If-Modified-Since header value equals the Last-Modified header value retrieved from the previous GET /id or GET /name response
GET /2022/06/REST/Feeds/Media/Oct2023_LMF_2/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response with Body
200: Returns the Live Media Feed EntityLive Media Feed Entity
Example
This is an example of a 200 level response:
{
"id": 12345678,
"name": "Oct2023_LMF_2",
"ttl": "00:01:00",
"physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/1903005a2e7c4255f162ca068eb925b6",
"fileSize": 842,
"fileHash": "SHA1:7DEB144483FA3D60E33987B0B792EDE2A4583180",
"creationDate": "2023-10-25T18:31:55.037Z",
"lastModifiedDate": "2024-01-03T20:33:35.093Z",
"content": [
{
"contentId": 911345,
"fileName": "ProfilePhoto.png",
"title": "ProfilePhoto.png",
"description": "",
"disabled": false,
"displayDuration": "00:00:06",
"validityStartDate": null,
"validityEndDate": null,
"customFields": {}
}
],
"permissions": [],
"presentations": []
}Success Response
304: The resource was not modified since the time specified in the “If-Modified-Since” header
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
PUT /{name}/
Modifies the specified Live Media Feed
Required Scope Token
bsn.api.main.feeds.media.update
______________________________________________________________
Segment
- name string: The name of the Live Media Feed
______________________________________________________________
Request Body
- The Live Media Feed EntityLive Media Feed Entity
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to Oct2023_LMF_2
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
PUT /2022/06/REST/Feeds/Media/Oct2023_LMF_2/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Content-Type: application/json
Content-Length: 709This is the example request body:
{
"id": 12345678,
"name": "Oct2023_LMF_2",
"ttl": "00:01:00",
"physicalPath": null,
"fileSize": 0,
"fileHash": null,
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"content": [
{
"contentId": 911345,
"fileName": "ProfilePhoto.png",
"title": "ProfilePhoto.png",
"description": "",
"disabled": false,
"displayDuration": "00:00:06",
"validityStartDate": null,
"validityEndDate": null,
"customFields": {
"customField1": ""
}
}
],
"permissions": [],
"presentations": null
}______________________________________________________________
Success Response
204: The specified Live Media Feed has been updated on the network
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{name}/
Removes the specified Live Media Feed
Required Scope Token
bsn.api.main.feeds.media.delete
______________________________________________________________
Segment
- name string: The name of the Live Media Feed to delete
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to Oct2023_LMF_2
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
DELETE /2022/06/REST/Feeds/Media/Oct2023_LMF_2/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response
204: The specified Live Media Feed has been removed
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
5XX: Any 500 code is an internal server error
GET /Operations/
Returns operational permissions granted to roles for specific business operations
Required Scope Token
bsn.api.main.operations.retrieve
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
GET /2022/06/REST/Feeds/Media/Operations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns the Business Operations EntityBusiness Operations Entity
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{id}/Permissions/
Includes object permissions for a given Live Media Feed
Required Scope Token
bsn.api.main.feeds.media.retrieve
______________________________________________________________
Segment
- id int: A unique identifier for the Live Media Feed
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345678
GET /2022/06/REST/Feeds/Media/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns an array of PermissionPermission entities
Example
[
{
"entityId": 12345678,
"operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-10-25T22:17:24.28Z"
},
{
"entityId": 12345678,
"operationUID": "cd97ae27-1335-4516-b8d8-f09411186df9",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.053Z"
}
]Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /{id}/Permissions/
Adds permissions to Live Media Feed(s) with the specified id.
Required Scope Token
bsn.api.main.feeds.media.update
______________________________________________________________
Segment
- id int: A unique identifier for the Live Media Feed
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345678
POST /2022/06/REST/Feeds/Media/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 328This is the example request body:
[
{
"entityId": 12345678,
"operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-10-25T22:17:24.28Z"
}
]______________________________________________________________
Success Response
204: The specified permissions were successfully granted
Failure Response
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{id}/Permissions/
Removes permissions from the specified Live Media Feed
Required Scope Token
bsn.api.main.feeds.media.update
______________________________________________________________
Segment
- id int: A unique identifier for the Live Media Feed
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345678
DELETE /2022/06/REST/Feeds/Media/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 328This is the example request body:
[
{
"entityId": 12345678,
"operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-10-25T22:17:24.28Z"
}
]______________________________________________________________
Success Response
204: The specified permissions were successfully deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{name}/Permissions/
Includes object permissions for a given Live Media Feed.
Required Scope Token
bsn.api.main.feeds.media.retrieve
______________________________________________________________
Segment
- name string: The name of the Live Media Feed
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to Oct2023_LMF
GET /2022/06/REST/Feeds/Media/Oct2023_LMF/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns an array of PermissionPermission entities
Example
[
{
"entityId": 12345678,
"operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-10-25T22:17:24.28Z"
},
{
"entityId": 12345678,
"operationUID": "cd97ae27-1335-4516-b8d8-f09411186df9",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.053Z"
}
]Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /{name}/Permissions/
Adds permissions to Live Media Feed(s) with the specified name.
Required Scope Token
bsn.api.main.feeds.media.update
______________________________________________________________
Segment
- name string: The name of the Live Media Feed
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to Oct2023_LMF
POST /2022/06/REST/Feeds/Media/Oct2023_LMF/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 328This is the example request body:
[
{
"entityId": 12345678,
"operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-10-25T22:17:24.28Z"
}
]______________________________________________________________
Success Response
204: The specified permissions were successfully granted
Failure Response
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{name}/Permissions/
Removes permissions from the specified Live Media Feed.
Required Scope Token
bsn.api.main.feeds.media.update
______________________________________________________________
Segment
- name string: The name of the Live Media Feed
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to Oct2023_LMF
DELETE /2022/06/REST/Feeds/Media/Oct2023_LMF/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 328This is the example request body:
[
{
"entityId": 12345678,
"operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-10-25T22:17:24.28Z"
}
]______________________________________________________________
Success Response
204: The specified permissions were successfully deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error